# ConsistencyLevelEnum
Date: 2024-08-08

io.milvus.common.clientenum

## Enum ConsistencyLevelEnum

- java.lang.Object
- - java.lang.Enum<ConsistencyLevelEnum>
  - - io.milvus.common.clientenum.ConsistencyLevelEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConsistencyLevelEnum>

    public enum ConsistencyLevelEnum
    extends java.lang.Enum<ConsistencyLevelEnum>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOUNDED`
`EVENTUALLY`
`STRONG`

### Method Summary

All Methods Static Methods Concrete Methods
`static ConsistencyLevelEnum` `getNameByCode(int code)`
`static ConsistencyLevelEnum` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConsistencyLevelEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRONG

    public static final ConsistencyLevelEnum STRONG

#### BOUNDED

    public static final ConsistencyLevelEnum BOUNDED

#### EVENTUALLY

    public static final ConsistencyLevelEnum EVENTUALLY

### Method Detail

#### values

    public static ConsistencyLevelEnum[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConsistencyLevelEnum c : ConsistencyLevelEnum.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConsistencyLevelEnum valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getNameByCode

    public static ConsistencyLevelEnum getNameByCode(int code)